/*
 * hal.c
 *
 *  Created on: 14.06.2017
 *      Author: balbekova
 */


#include "stm32f4xx.h"
#include "log.h"
#include "snmp_api.h"
#include "trap_api.h"
#include <stddef.h>
#include "FreeRTOS.h"
#include "task.h"

void Reboot(void) {
	SNMP_SendUserTrap(DEVICE_REBOOTED);
	log_event_data(LOG_SYSTEM_BOOT, "Администратор");
	vTaskDelay(1010);
	LOG_Disable();
    NVIC_SystemReset();
}

